> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet transactions summary

> Get the earliest and latest transactions, and the transaction cound involving a wallet.



## OpenAPI

````yaml get /apechain/v1/address/{walletAddress}/transactions/summary
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/address/{walletAddress}/transactions/summary:
    get:
      tags:
        - Transactions
      summary: Get wallet transactions summary
      description: >-
        Get the earliest and latest transactions, and the transaction cound
        involving a wallet.
      operationId: GetWalletTransactionsSummary
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsSummary'
              examples:
                example1:
                  value:
                    address: '0x00000000000f7e000644657dc9417b185962645a'
                    transactions:
                      earliestTransaction:
                        block_hash: >-
                          0x326e74eb8577526bd05e1bff545d12be073a5f19a0cf52cb5ada6049abc9facc
                        block_number: 4327701
                        block_timestamp: '2024-11-15T13:32:14Z'
                        contract_address: ''
                        cumulative_gas_used: '44802'
                        effective_gas_price: '25420690000'
                        from_address: '0xf2e0085c5a3a867a4f03fc7c24824f30841c586c'
                        gas: '267780'
                        gas_price: '45420690000'
                        gas_used: '44802'
                        input: 0x
                        l1_fee: null
                        l1_fee_scalar: null
                        l1_gas_price: null
                        l1_gas_used: null
                        max_fee_per_gas: '45420690000'
                        max_priority_fee_per_gas: '45420690000'
                        nonce: '562'
                        status: 1
                        to_address: '0x00000000000f7e000644657dc9417b185962645a'
                        transaction_hash: >-
                          0x67c4fb876a799164d9a954a33f9e6290c985d257d26da754027de76afb551be7
                        transaction_index: 1
                        transaction_type: 2
                        value: '1000000000000000000'
                      latestTransaction:
                        block_hash: >-
                          0xf8ffc9e6b529b60e4d6866e67dd82e286bb75e408113977dc0c2b24ab19a941c
                        block_number: 12509151
                        block_timestamp: '2025-03-30T19:38:34Z'
                        contract_address: ''
                        cumulative_gas_used: '44998'
                        effective_gas_price: '25420690000'
                        from_address: '0x9b4c34540bb395e190454c6377716a414ff75095'
                        gas: '56728'
                        gas_price: '34317931500'
                        gas_used: '44998'
                        input: '0xd0e30db0'
                        l1_fee: null
                        l1_fee_scalar: null
                        l1_gas_price: null
                        l1_gas_used: null
                        max_fee_per_gas: '34317931500'
                        max_priority_fee_per_gas: '34317931500'
                        nonce: '44'
                        status: 1
                        to_address: '0x00000000000f7e000644657dc9417b185962645a'
                        transaction_hash: >-
                          0x5ec8b73510f75379959092735c1b7e3f62dfac0edf1ee69bfbb4d7a9cc9fe7ab
                        transaction_index: 1
                        transaction_type: 2
                        value: '300000000000000000000'
                      totalCount: 2755
          description: OK
components:
  schemas:
    TransactionsSummary:
      properties:
        address:
          type: string
        transactions:
          $ref: '#/components/schemas/Transactions'
      required:
        - address
        - transactions
      type: object
    Transactions:
      properties:
        earliestTransaction:
          $ref: '#/components/schemas/Transaction'
        latestTransaction:
          $ref: '#/components/schemas/Transaction'
        totalCount:
          type: integer
      required:
        - totalCount
      type: object
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        decoded:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        input:
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
        - decoded
      type: object

````